
:root {
  --textStyle: 'Verdana pro';
  --titleStyle: 'Montserrat';
  --fontSize: 1.1em;
  --maxWidth: 60rem;
  --menuWidth: 20rem;
}

html[data-theme='light'] {
  --homeBG1:#2863AC;
  --homeBG2:#F4F5FB;

  --titleColor: #2863AC;

  --linkColor:#ED6E23;

  --btnBG:#ED6E23;

  --borderColor:#4B5A6C;

  --toolboxBG:#EAEFFA;
  --toolboxFG:#000000;
  --toolboxActiveBG:#2863AC;
  --toolboxActiveFG:#FFFFFF;

  --contentBG: #F4F5FB;
  --contentFG: #000000;
  --contentLightFG: #7b7b7b;

  --accentDarkBG: #3f428b;
  --accentDarkFG: #ffffff;
  --accentLightBG: #EAEFFA;
  --accentLightFG: #000;

  --pBkText: #2F2976;
  --pBkTextLight: #E5E5F0;
  --pBkDemo: #009FD9;
  --pBkDemoLight: #E1EFF8;
  --pBkExpression: #009FD9;
  --pBkExpressionLight: #E1EFF8;
  --pBkWarning: #ED6E23;
  --pBkWarningLight: #F4EBEA;
  --pBkComplement: #ED6E23;
  --pBkComplementLight: #F4EBEA;

  --headerBG:#2863AC;
  --headerFG:#ffffff;

  --footerBG:#F4F5FB;
  --footerFG:#000000;

  --quizAnswerBG:#e2f8d9;
  --quizAnswerFG:#295716;
  --quizWorstFG:#aa1016;
  --quizWorstBG:#ffe7e7;
  --quizBadFG:#9f5c00;
  --quizSolFG:#246C8A;
  --quizSolBG:#d8ebf4;

  --inputBG:#EAEFFA;
  --inputBorder:#4B5A6C;
  --inputFocus:#2863AC;
}

html[data-theme='dark'] {
  --homeBG1:#5A92D9;
  --homeBG2:#1C1728;

  --titleColor: #5A92D9;

  --linkColor:#ED6E23;

  --btnBG:#ED6E23;

  --borderColor: #A1AACB;

  --toolboxBG:#30303E;
  --toolboxFG:#FFFFFF;
  --toolboxActiveBG:#174681;
  --toolboxActiveFG:#FFFFFF;

  --contentBG:#1C1728;
  --contentFG: #FFFFFF;
  --contentLightFG: #c0c0c0;

  --accentDarkBG: #174681;
  --accentDarkFG: #FFFFFF;
  --accentLightBG: #30303E;
  --accentLightFG: #FFFFFF;

  --pBkText: #758BFB;
  --pBkTextLight: #232348;
  --pBkDemo: #009FD9;
  --pBkDemoLight: #182C43;
  --pBkExpression: #009FD9;
  --pBkExpressionLight: #182C43;
  --pBkWarning: #ED6E23;
  --pBkWarningLight: #3C2427;
  --pBkComplement: #ED6E23;
  --pBkComplementLight: #3C2427;

  --headerBG:#174681;
  --headerFG:#ffffff;

  --footerBG:#1C1728;
  --footerFG:#ffffff;

  --quizAnswerBG:#293e21;
  --quizAnswerFG:#3ca610;
  --quizWorstFG:#ff5d63;
  --quizWorstBG:#36191a;
  --quizBadFG:#d38c2a;
  --quizSolFG:#E8F3F8;
  --quizSolBG:#246C8A;

  --inputBG: #3B3B3B;
  --inputBorder: #191919;
  --inputFocus: #2863AC;
}

h1, h2, h3, h4, h5, h6 {
  color: var(--titleColor);
}

h3 {
  font-size: 1.17em;
}

h2.slideBk_ti {
  font-size: 1.5em;
  text-align: left;
}

.part h2.slideBk_ti,
.slideContact h2.slideBk_ti {
  margin-block-start: 6em;
  background: var(--headerBG);
}

h2.slideBk_ti .dysColor_2,
h2.slideBk_ti .dysColor_1,
h2.slideBk_ti .dysColor_0 {
  color: var(--headerFG);
}

#home > .logo-placeholder,
div.home > .logo-placeholder {
    display: flex;
    justify-content: center;
    position: absolute;
    left: 0;
    right: 0;
}

#home > .logo-placeholder {
    bottom: 0.5em;
}

.logo-placeholder img {
    width: 100%;
    height: auto;
    object-fit: contain;
    max-width: 30vw;
}

#home .home_co {
  font-size: 80%;
}

#home .home_co p {
  margin: 0;
}

#home > div .presData {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  column-gap: 1em;
}

#home > div .presAuth {
  margin-block: 0.5em 1em;
}

#home > div > nav > button {
  border-radius: 10px;
}

#home > div > nav > button::before {
  content: "Commencer";
}

#home > div > nav > button::after {
  content: none;
}

#home > div > nav > button span {
  display: none;
}

#home > div .home_ti {
  padding-inline: 1em;
}

#root {
  grid-template-columns: 1fr auto;
  grid-template-areas:
    "main main"
    "nav themeBtn"
    "footer footer";
}

#tocFrame {
  border-inline-end: 1px solid var(--borderColor);
  z-index: 1;
}

#root > .tools button {
  border-radius: 8px;
  background-color: var(--linkColor);
}

#root > .tools button:hover {
  opacity: 0.8;
}

#root > .tools button::before {
  font-size: 25px;
  color: var(--accentDarkFG);
  font-weight: normal;
}

#root > .tools > .btnMenu {
  order: 2;
}
#root > .tools .navbar {
  order: 3;
}
#root > .tools .progressbar {
  order: 4;
}
#root > .tools > .btnHelp {
  order: 5;
}
#root > .tools > .dysBtnTogglePanel {
  order: 6;
}

.dysBtnTogglePanel {
  margin-inline: 0;
}

#root > .tools button.btnHome::before,
#root > .tools button.btnMenu::before,
#root > .tools button.btnHelp::before,
#root > .tools button.dysBtnToggle::before {
  color:var(--linkColor);
}

#root > .tools button.btnHome::before {content: "\E811";}

#root > .tools button.btnMenu::before {content: "\E80B";}

.tocClose #root > .tools button.btnMenu::before{
  color:var(--accentDarkFG);
  content: "\E843";
}

#root > .tools button.btnMenu{
  border-radius:0 0 8px 8px;
  border: 1px solid var(--borderColor);
  background-color: var(--toolboxBG);
  color:var(--linkColor);
  border-block-start: 0;
}
#root > .tools button.btnMenu::after {
  content: "";
  display: inline-block;
  position: absolute;
  left: -1px;
  right: -1px;
  top: -6px;
  height: 6px;
  background-color: var(--toolboxBG);
  border-inline: 1px solid var(--borderColor);
}

#toc .ueDiv a {
  padding-inline: 5px;
}
#toc li > ul {
  margin-inline-start: 40px;
}

.tocClose #root > .tools button.btnMenu{
  background-color:var(--linkColor);
  color:var(--accentDarkFG);
  border: 0;
  border-radius: 8px;
}
.tocClose #root > .tools button.btnMenu::after {
  content: none;
}

#root > .tools {
  padding-block-start: 5px;
}

#root > .tools button.btnHome,
#root > .tools > button.btnHelp,
#root > .tools button.dysBtnToggle {
  border: 1px solid var(--linkColor);
  background-color: transparent;
}

.showSlideshow #root > .tools button.btnPrv[style="visibility: hidden;"],
.showSlideshow #root > .tools button.btnNxt[style="visibility: hidden;"] {
  visibility: visible!important;
  opacity: 0.2;
  pointer-events: none;
}

#root > .tools .progressbar {
  background-color: color-mix(in oklab, var(--accentDarkBG), var(--contentBG) 75%);
  overflow: visible;
}

.progCount {
  border-radius: 5em 0 0 5em;
}

.progCount::after {
  content: "";
  display: inline-block;
  position: absolute;
  right: -8px;
  width: 12px;
  height: calc(100% + 6px);
  background-color: var(--linkColor);
  top: 50%;
  transform: translateY(-50%);
}

#toc a {
  padding-block: 3px;
  padding-inline: 8px;
}

#toc li a::before {
  content: none!important;
}

a.themeBtn {
  padding-block: 5px 0;
  padding-inline: 10px;
  display: flex;
  align-items: center;
  background-color: transparent;
  color: var(--linkColor);
  border-block-start: 1px solid var(--borderColor);
  border-bottom: 0;
}

a.themeBtn:before {
  font-size: 25px;
  width: 45px;
  height: 45px;
  border-radius: 8px;
  border: 1px solid var(--linkColor);
  display: inline-flex;
  align-items: center;
  justify-content: center;
}

.bkBp,
div.bkCtx {
  border: 0;
  border-radius: 0;
}

.bkBp > * {
  position: relative;
  z-index: 1;
}

.bkBp::before {
  content: "";
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  margin-inline: -50em;
  background-color: var(--pb-color-light);
}

.bkBp .ssMask {
  background-color: var(--pb-color-light)!important;
}

.bkBp .bkBase_ti {
  flex-direction: column-reverse;
  align-items: flex-start;
  gap: 5px;
  margin-block: 0;
}

.bkBp .bkBase_ti span.title {
  color: var(--pb-color);
}

.bkBp .bkBase_ti i.type {
  background-color: var(--pb-color);
  color: var(--accentDarkFG);
  border-radius: 5em;
  text-transform: uppercase;
  font-family: var(--textStyle);
  font-size: 65%;
  padding-inline: 20px;
  padding-block: 6px;
}

.bkBase_ti i.type::before {
  content: none!important;
}

footer > a.tooltip_a {
  display: flex;
  align-items: baseline;
  gap: 3px;
}

footer > a.tooltip_a::before {
  font-family: "fontello";
  content: "\E812";
  font-weight: normal;
  font-size: 120%;
}

#altSlides .altSlideRoot {
  overflow: hidden;
}

#altSlides .tools button.btnPrv::before, #altSlides .navbar > .btnPrv::before {
  content: "\E817";
}

#altSlides .tools button.btnNxt::before, #altSlides .navbar > .btnNxt::before {
  content: "\E818";
}

a.op_txt_ul::after, a.txt_url_ul::after, a.extUrl::after, div.docUrl a::after {
  width: auto;
  height: auto;
  font-size: 60%;
  vertical-align: super;
  margin-inline-start: 2px;
}

div.mcgSurChoice_sur,
div.mcgMurChoice_sur,
div.mcqSurChoice_sur,
div.mcqMurChoice_sur {
  counter-reset: item;
}

div.mcgSurChoice_ur,
div.mcgMurChoice_ur,
div.mcqSurChoice_ur,
div.mcqMurChoice_ur {
  display: flex;
  flex-wrap: wrap;
  gap: 10px;
  padding-inline: 0.3em;
  padding-block: 0.2em;
}


div.mcgSurChoice_ur::before,
div.mcqSurChoice_ur::before {
  content: none;
}

div.mcgSurChoiceNum,
div.mcqSurChoiceNum {
  height: fit-content;
  padding: 6px 13px;
  align-self: center;
}

html[data-theme='light'] div.mcgSurChoiceNum,
html[data-theme='light'] div.mcqSurChoiceNum {
  background-color: #ffffff;
}

html[data-theme='dark'] div.mcgSurChoiceNum,
html[data-theme='dark'] div.mcqSurChoiceNum {
  background-color: #000000;
}

div.mcqSurChoice_ur::before,
div.mcqMurChoice_ur::before {
  content: counter(item,upper-alpha) "";
  position: relative;
  min-width: auto;
  min-height: auto;
  left: auto;
  top: auto;
  transform: none;
  z-index: 1;
  height: fit-content;
  padding: 8px 12px;
  align-self: center;
}

div.mcgSurChoiceLbl,
div.mcgMurChoiceLbl,
div.mcqSurChoiceLbl,
div.mcqMurChoiceLbl {
  margin-inline-start: 0;
  margin-block: 0;
  flex: 1;
}

div.mcgSurChoiceExpl,
div.mcgMurChoiceExpl,
div.mcqSurChoiceExpl,
div.mcqMurChoiceExpl {
  background-color: var(--quizSolBG);
  color: var(--quizSolFG);
  border-radius: 0.5em;
  padding: 0.5em;
  margin-block: 0.2em 0;
  font-size: 90%;
  flex: 100%;
}
div.mcgSurChoiceExpl p:first-child,
div.mcgMurChoiceExpl p:first-child,
div.mcqSurChoiceExpl p:first-child,
div.mcqMurChoiceExpl p:first-child {
  margin-block-start: 0;
}
div.mcgSurChoiceExpl p:last-child,
div.mcgMurChoiceExpl p:last-child,
div.mcqSurChoiceExpl p:last-child,
div.mcqMurChoiceExpl p:last-child {
  margin-block-end: 0;
}

div.gapTextShow .txt_gap_tl {
  outline-width: 1px;
}

#root.sldFirstBlock.sldLastBlock > .tools .navbar .slideCount > .blk {
  display: inline-block;
  font-weight: 600;
}

.ssMask {
  visibility: hidden;
}